> For the complete documentation index, see [llms.txt](https://developers.invitelogger.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.invitelogger.me/reference/resources/fake-codes.md).

# Fake codes

To know the reason of why each invite has been considered as fake, the fakeCode field gives a bitwise code (same way as discord permission system)

<table><thead><tr><th>Name</th><th width="117">Value</th><th width="287">Description</th><th width="186" data-type="checkbox">Default true</th><th>Gold</th></tr></thead><tbody><tr><td>YOUNG</td><td>1 (1 &#x3C;&#x3C; 0)</td><td>User account has been created too recently</td><td>false</td><td></td></tr><tr><td>SELF</td><td>2 (1 &#x3C;&#x3C; 1)</td><td>User has joined using their own invite code</td><td>false</td><td></td></tr><tr><td>NOPFP</td><td>4 (1 &#x3C;&#x3C; 2)</td><td>User doesn't have a customized profile picture</td><td>false</td><td></td></tr><tr><td>ALREADYJOINED</td><td>8 (1 &#x3C;&#x3C; 3)</td><td>Has joined the server in the past</td><td>false</td><td></td></tr><tr><td>REQUIREROLE</td><td>16 (1 &#x3C;&#x3C; 4)</td><td>Account needs to recieve a specific role to be marked as valid</td><td>true</td><td>🏅</td></tr><tr><td>REQUIREDCVERIF</td><td>32 (1 &#x3C;&#x3C; 5)</td><td>Account needs to be verified through double counter discord bot</td><td>true</td><td>🏅</td></tr></tbody></table>

{% embed url="<https://medium.com/@venuebook_j/using-bitfields-in-javascript-for-simple-permission-systems-fce3b35aee58>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.invitelogger.me/reference/resources/fake-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
